NET_GetStreamSocketAddress(3)

NAME
NET_GetStreamSocketAddress - Get the remote address of a stream socket.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

NET_Address * NET_GetStreamSocketAddress(NET_StreamSocket *sock);

DESCRIPTION
This reports the address of the remote side of a stream socket, which might still be pending connnection.

This adds a reference to the address; the caller _must_ call NET_UnrefAddress() when done with it.

FUNCTION PARAMETERS

sock
    the stream socket to query.

RETURN VALUE
Returns the socket's remote address, or NULL on error; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_net 3.0.0.